Page MenuHomeSolus

MonoDevelop
Closed, ResolvedPublic

Description

Name: MonoDevelop
Homepage: http://www.monodevelop.com/
Open Source: Yes
Source: https://github.com/mono/monodevelop/archive/monodevelop-6.1.3.19.tar.gz

An IDE primarily designed for C# and other .NET languages

I think this has been a blocker for T217 and T228 for a while.

Details

Differential Revisions
D1685: Initial commit of monodevelop

Event Timeline

DataDrake added a subscriber: DataDrake.

No, we don't need MonoDevelop to package Mono applications. It's an IDE, not a toolchain.

DataDrake closed this task as Invalid.Dec 30 2016, 2:18 PM

The Unity3D IDE is based on their own modifications to monodevelop . The rest of Unity is not open-source. That's why it is marked Third-Party.

Matter Control has a quirky build process. That's the only reason it hasn't been landed.

Unless you are actually requesting this for personal use, I am closing this.

BearzR added a subscriber: BearzR.Dec 30 2016, 2:29 PM

When I tried to compile this, it wanted fsharp and compilers and toolchains are clearly Ikey's domain. T1428

underskore added a comment.EditedDec 30 2016, 2:36 PM

The Unity3D IDE is based on their own modifications to monodevelop . The rest of Unity is not open-source. That's why it is marked Third-Party.
Matter Control has a quirky build process. That's the only reason it hasn't been landed.
Unless you are actually requesting this for personal use, I am closing this.

Oh, okay.

Btw, I actually need this since I have a couple of projects I have been working on in Visual Studio.

DataDrake reopened this task as Open.Dec 30 2016, 2:38 PM
DataDrake triaged this task as Normal priority.
DataDrake moved this task from Backlog to Accepted For Inclusion on the Package Requests board.
rbnswartz added a subscriber: rbnswartz.

I'll give this a shot.

In T2024#35367, @BearzR wrote:

When I tried to compile this, it wanted fsharp and compilers and toolchains are clearly Ikey's domain. T1428

I tried to build monodevelop now, but fsharpc is still missing in the repos. Perhaps it should be marked as a needed package too.

@livingsilver94 is monodevelop building and running with your fsharpc package?

DataDrake closed this task as Resolved.Aug 27 2018, 12:05 AM